osl::eval::ml::King25EffectDefense Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Public Attributes | Static Private Member Functions | List of all members
osl::eval::ml::King25EffectDefense Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::King25EffectDefense:
[legend]

## Public Types
enum | { DIM = 17 * 128 }

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (const NumEffectState &, int black_effect, int black_piece, int white_effect, int white_piece)

## Static Public Attributes
static CArray< MultiInt, 17 *128 > | table

## Static Private Member Functions
static int | index (int effect, int piece_count)

## Detailed Description

Definition at line 206 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 214 of file kingTable.h.

## Member Function Documentation

static MultiInt osl::eval::ml::King25EffectDefense::eval | ( | const NumEffectState & | ,
|  | int | black_effect,
|  | int | black_piece,
|  | int | white_effect,
|  | int | white_piece
| ) |  |
| inlinestatic

Definition at line 223 of file kingTable.h.

References osl::eval::ml::KingPieceRelative::index().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

static int osl::eval::ml::King25EffectDefense::index | ( | int | effect,
|  | int | piece_count
| ) |  |
| inlinestaticprivate

Definition at line 209 of file kingTable.h.

static void osl::eval::ml::King25EffectDefense::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| inlinestatic

Definition at line 216 of file kingTable.h.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, 17 *128 > osl::eval::ml::King25EffectDefense::table
| static

Definition at line 215 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc